Unable to Start - Error: System service failed

Hi, I’m getting the Error: System service failed message when starting my Umbrel, which started happening a couple months ago. Tried some of the basics from other support articles, but help appreciated if anyone can review the logs.

=====================

= Umbrel debug info =

Umbrel version

0.5.1

Flashed OS version

v0.3.2

Raspberry Pi Model

Revision : c03111
Serial : 100000005fc66c8e
Model : Raspberry Pi 4 Model B Rev 1.1

Firmware

Jan 7 2021 18:27:29
Copyright © 2012 Broadcom
version fb345a0c2d5544957f4ba1a2b9e968970e3312c4 (clean) (release) (start)

Temperature

temp=38.4’C

Throttling

throttled=0x0

Memory usage

          total        used        free      shared  buff/cache   available

Mem: 3.8G 109M 3.4G 8.0M 312M 3.6G
Swap: 4.1G 0B 4.1G

total: 2.9%
system: 2.9%
tor: 0%
thunderhub: 0%
tailscale: 0%
sphinx-relay: 0%
pi-hole: 0%
oak-node: 0%
mempool: 0%
ln-visualizer: 0%
lnd: 0%
lnbits: 0%
lightning-terminal: 0%
lightning: 0%
electrs: 0%
electrs: 0%
core-lightning: 0%
bluewallet: 0%
bitfeed: 0%
bitcoin: 0%
bitcoin: 0%

Memory monitor logs

2022-10-20 19:28:56 Memory monitor running!
2022-10-20 19:29:14 Memory monitor running!
2022-10-20 19:29:27 Memory monitor running!
2022-10-20 19:29:40 Memory monitor running!
2022-10-20 19:29:54 Memory monitor running!
2022-10-20 19:30:08 Memory monitor running!
2022-10-20 19:30:25 Memory monitor running!
2022-10-20 19:30:38 Memory monitor running!
2022-10-20 19:30:52 Memory monitor running!
2022-10-20 19
Filesystem information

Filesystem Size Used Avail Use% Mounted on
/dev/root 29G 11G 18G 39% /
/dev/sda1 916G 916G 0 100% /home/umbrel/umbrel

Startup service logs

Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 646, in send
Nov 20 12:39:17 umbrel umbrel startup[5251]: r = adapter.send(request, **kwargs)
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 498, in send
Nov 20 12:39:17 umbrel umbrel startup[5251]: raise ConnectionError(err, request=request)
Nov 20 12:39:17 umbrel umbrel startup[5251]: requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))
Nov 20 12:39:17 umbrel umbrel startup[5251]: During handling of the above exception, another exception occurred:
Nov 20 12:39:17 umbrel umbrel startup[5251]: Traceback (most recent call last):
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/bin/docker-compose”, line 10, in
Nov 20 12:39:17 umbrel umbrel startup[5251]: sys.exit(main())
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 67, in main
Nov 20 12:39:17 umbrel umbrel startup[5251]: command()
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 123, in perform_command
Nov 20 12:39:17 umbrel umbrel startup[5251]: project = project_from_options(’.’, options)
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 69, in project_from_options
Nov 20 12:39:17 umbrel umbrel startup[5251]: environment_file=environment_file
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 132, in get_project
Nov 20 12:39:17 umbrel umbrel startup[5251]: verbose=verbose, version=api_version, context=context, environment=environment
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 43, in get_client
Nov 20 12:39:17 umbrel umbrel startup[5251]: environment=environment, tls_version=get_tls_version(environment)
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 170, in docker_client
Nov 20 12:39:17 umbrel umbrel startup[5251]: client = APIClient(**kwargs)
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 197, in init
Nov 20 12:39:17 umbrel umbrel startup[5251]: self._version = self._retrieve_server_version()
Nov 20 12:39:17 umbrel umbrel startup[5251]: File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 222, in _retrieve_server_version
Nov 20 12:39:17 umbrel umbrel startup[5251]: ‘Error while fetching server API version: {0}’.format(e)
Nov 20 12:39:17 umbrel umbrel startup[5251]: docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))
Nov 20 12:39:17 umbrel umbrel startup[5251]: Failed to start containers
Nov 20 12:39:17 umbrel systemd[1]: umbrel-startup.service: Control process exited, code=exited, status=1/FAILURE
Nov 20 12:39:17 umbrel systemd[1]: umbrel-startup.service: Failed with result ‘exit-code’.
Nov 20 12:39:17 umbrel systemd[1]: Failed to start Umbrel Startup Service.

External storage service logs

– Logs begin at Sun 2022-11-20 11:48:06 UTC, end at Sun 2022-11-20 12:39:17 UTC. –
Nov 20 12:08:09 umbrel systemd[1]: Starting External Storage Mounter…
Nov 20 12:08:09 umbrel external storage mounter[498]: Running external storage mount script…
Nov 20 12:08:09 umbrel external storage mounter[498]: Found device "SABRENT "
Nov 20 12:08:09 umbrel external storage mounter[498]: Blacklisting USB device IDs against UAS driver…
Nov 20 12:08:09 umbrel external storage mounter[498]: Rebinding USB drivers…
Nov 20 12:08:09 umbrel external storage mounter[498]: Checking USB devices are back…
Nov 20 12:08:09 umbrel external storage mounter[498]: Waiting for USB devices…
Nov 20 12:08:10 umbrel external storage mounter[498]: Waiting for USB devices…
Nov 20 12:08:11 umbrel external storage mounter[498]: Checking if the device is ext4…
Nov 20 12:08:11 umbrel external storage mounter[498]: Yes, it is ext4
Nov 20 12:08:12 umbrel external storage mounter[498]: Checking if device contains an Umbrel install…
Nov 20 12:08:12 umbrel external storage mounter[498]: Yes, it contains an Umbrel install
Nov 20 12:08:12 umbrel external storage mounter[498]: Bind mounting external storage over local Umbrel installation…
Nov 20 12:08:12 umbrel external storage mounter[498]: Bind mounting external storage over local Docker data dir…
Nov 20 12:08:12 umbrel external storage mounter[498]: Bind mounting external storage to /swap
Nov 20 12:08:12 umbrel external storage mounter[498]: Bind mounting SD card root at /sd-card…
Nov 20 12:08:12 umbrel external storage mounter[498]: Checking Umbrel root is now on external storage…
Nov 20 12:08:13 umbrel external storage mounter[498]: Checking /var/lib/docker is now on external storage…
Nov 20 12:08:13 umbrel external storage mounter[498]: Checking /swap is now on external storage…
Nov 20 12:08:13 umbrel external storage mounter[498]: Setting up swapfile
Nov 20 12:08:13 umbrel external storage mounter[498]: Setting up swapspace version 1, size = 4 GiB (4294963200 bytes)
Nov 20 12:08:13 umbrel external storage mounter[498]: no label, UUID=f802011a-e6b8-4870-bf2c-ffc2b7cd134b
Nov 20 12:08:13 umbrel external storage mounter[498]: Checking SD Card root is bind mounted at /sd-root…
Nov 20 12:08:13 umbrel external storage mounter[498]: Starting external drive mount monitor…
Nov 20 12:08:13 umbrel external storage mounter[498]: Mount script completed successfully!
Nov 20 12:08:13 umbrel systemd[1]: Started External Storage Mounter.

External storage SD card update service logs

– Logs begin at Sun 2022-11-20 11:48:06 UTC, end at Sun 2022-11-20 12:39:17 UTC. –
Nov 20 12:08:22 umbrel systemd[1]: Starting External Storage SDcard Updater…
Nov 20 12:08:22 umbrel external storage updater[856]: Checking if SD card Umbrel is newer than external storage…
Nov 20 12:08:22 umbrel external storage updater[856]: No, SD version is not newer, exiting.
Nov 20 12:08:22 umbrel systemd[1]: Started External Storage SDcard Updater.

Karen logs

Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/26994’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/6560’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/22562’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/16307’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/26464’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/16226’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/26197’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/13789’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directory ‘/home/umbrel/umbrel/.backup/8506’: No space left on device
Got signal: backup
karen is getting triggered!
Deriving keys…
Creating backup…
mkdir: cannot create directo
Docker containers

Cannot connect to the Docker daemon at unix:///var/run/docker.sock. Is the docker daemon running?

Umbrel logs

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 449, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/usr/lib/python3/dist-packages/six.py”, line 692, in reraise
raise value.with_traceback(tb)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 214, in _retrieve_server_version
return self.version(api_version=False)[“ApiVersion”]
File “/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py”, line 181, in version
return self._result(self._get(url), json=True)
File “/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py”, line 46, in inner
return f(self, *args, **kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 546, in get
return self.request(‘GET’, url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 533, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/bin/docker-compose”, line 10, in
sys.exit(main())
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 67, in main
command()
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 123, in perform_command
project = project_from_options(’.’, options)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 69, in project_from_options
environment_file=environment_file
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 170, in docker_client
client = APIClient(**kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 197, in init
self._version = self._retrieve_server_version()
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 222, in _retrieve_server_version
‘Error while fetching server API version: {0}’.format(e)
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

Tor logs

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 449, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/usr/lib/python3/dist-packages/six.py”, line 692, in reraise
raise value.with_traceback(tb)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 214, in _retrieve_server_version
return self.version(api_version=False)[“ApiVersion”]
File “/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py”, line 181, in version
return self._result(self._get(url), json=True)
File “/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py”, line 46, in inner
return f(self, *args, **kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 546, in get
return self.request(‘GET’, url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 533, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/bin/docker-compose”, line 10, in
sys.exit(main())
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 67, in main
command()
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 123, in perform_command
project = project_from_options(’.’, options)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 69, in project_from_options
environment_file=environment_file
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 170, in docker_client
client = APIClient(**kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 197, in init
self._version = self._retrieve_server_version()
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 222, in _retrieve_server_version
‘Error while fetching server API version: {0}’.format(e)
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

App logs

bitcoin

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 449, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 638, in urlopen
_stacktrace=sys.exc_info()[2])
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 367, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/usr/lib/python3/dist-packages/six.py”, line 692, in reraise
raise value.with_traceback(tb)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 354, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.7/http/client.py”, line 1260, in request
self._send_request(method, url, body, headers, encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1306, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1255, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File “/usr/lib/python3.7/http/client.py”, line 1030, in _send_output
self.send(msg)
File “/usr/lib/python3.7/http/client.py”, line 970, in send
self.connect()
File “/usr/local/lib/python3.7/dist-packages/docker/transport/unixconn.py”, line 43, in connect
sock.connect(self.unix_socket)
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 214, in _retrieve_server_version
return self.version(api_version=False)[“ApiVersion”]
File “/usr/local/lib/python3.7/dist-packages/docker/api/daemon.py”, line 181, in version
return self._result(self._get(url), json=True)
File “/usr/local/lib/python3.7/dist-packages/docker/utils/decorators.py”, line 46, in inner
return f(self, *args, **kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 237, in _get
return self.get(url, **self._set_request_timeout(kwargs))
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 546, in get
return self.request(‘GET’, url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 533, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 646, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 498, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/bin/docker-compose”, line 10, in
sys.exit(main())
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 67, in main
command()
File “/usr/local/lib/python3.7/dist-packages/compose/cli/main.py”, line 123, in perform_command
project = project_from_options(’.’, options)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 69, in project_from_options
environment_file=environment_file
File “/usr/local/lib/python3.7/dist-packages/compose/cli/command.py”, line 132, in get_project
verbose=verbose, version=api_version, context=context, environment=environment
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 43, in get_client
environment=environment, tls_version=get_tls_version(environment)
File “/usr/local/lib/python3.7/dist-packages/compose/cli/docker_client.py”, line 170, in docker_client
client = APIClient(**kwargs)
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 197, in init
self._version = self._retrieve_server_version()
File “/usr/local/lib/python3.7/dist-packages/docker/api/client.py”, line 222, in _retrieve_server_version
‘Error while fetching server API version: {0}’.format(e)
docker.errors.DockerException: Error while fetching server API version: (‘Connection aborted.’, ConnectionRefusedError(111, ‘Connection refused’))
“tailscale”,

[Had to skip a bunch of the same due to length - all apps give the same errors]

================
==== Result ====

Unfortunately, so am I. Getting this same kind of error messages in my logs. Re-flashed my microSD card; still the same problem - can’t get dashboard to come up!